//
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
// Use of this sample source code is subject to the terms of the Microsoft
// license agreement under which you licensed this sample source code. If
// you did not accept the terms of the license agreement, you are not
// authorized to use this sample source code. For the terms of the license,
// please see the license agreement between you and Microsoft or, if applicable,
// see the LICENSE.RTF on your install media or the root of your tools installation.
// THE SAMPLE SOURCE CODE IS PROVIDED "AS IS", WITH NO WARRANTIES OR INDEMNITIES.
//
#if !defined(RESOURCE_H)
#define RESOURCE_H

#if !defined(IDC_STATIC)
#define IDC_STATIC          -1
#endif  // IDC_STATIC

// ID's for screen elements not in the resource script
#define BUTTON_ID       (101)
#define WINDOW_ID       (102)

// String IDs
#define IDS_OPTIONS         1000
#define IDS_DISPLAYMODE     1001
#define IDS_DISPLAYOFFSET   1002
#define IDS_USERINTERFACE   1003
#define IDS_GESTURE         1004
#define IDS_WARNINGS        1005
#define IDS_RECPLAY         1006

// Dialog IDs
#define IDD_DISPLAYMODE     2001
#define IDD_DISPLAYOFFSET   2002
#define IDD_USERINTERFACE   2003
#define IDD_GESTURE         2004
#define IDD_WARNINGS        2005
#define IDD_RECPLAY         2006

// Control IDs
#define IDB_EXIT_APP                3000
#define IDB_OK                      3001
#define IDB_CANCEL                  3002
#define IDB_PREV_TAB                3003
#define IDB_NEXT_TAB                3004

#define IDC_DISPLAYMODE_RAW         3101
#define IDC_DISPLAYMODE_GESTURE     3102
#define IDC_DISPLAYMODE_BOTH        3103
#define IDC_DISPLAYMODE_TEXT        3104
#define IDC_DISPLAYMODE_BAR         3105
#define IDC_DISPLAYMODE_TRAILING    3106
#define IDC_DISPLAYMODE_DATA        3107
#define IDC_DISPLAYMODE_CONTACT     3108
#define IDC_DISPLAYMODE_STATISTICS  3109

#define IDC_DISPLAYOFFSET_RAWX      3201
#define IDC_DISPLAYOFFSET_RAWY      3202
#define IDC_DISPLAYOFFSET_GESTUREX  3203
#define IDC_DISPLAYOFFSET_GESTUREY  3204
#define IDC_DISPLAYOFFSET_RAWTEXT   3205
#define IDC_DISPLAYOFFSET_XTEXT     3206
#define IDC_DISPLAYOFFSET_YTEXT     3207

#define IDC_USERINTERFACE_BUTTONX   3301
#define IDC_USERINTERFACE_BUTTONY   3302
#define IDC_USERINTERFACE_WINDOWX   3303
#define IDC_USERINTERFACE_WINDOWY   3304
#define IDC_USERINTERFACE_IMAGE     3305
#define IDC_USERINTERFACE_COLOR     3306
#define IDC_USERINTERFACE_NONE      3307
#define IDC_USERINTERFACE_IMAGENAME 3308
#define IDC_USERINTERFACE_COLORVAL  3309

#define IDC_GESTURE_DM              3401
#define IDC_GESTURE_PAN             3402
#define IDC_GESTURE_SCROLL          3403
#define IDC_GESTURE_SELECT          3404
#define IDC_GESTURE_DSELECT         3405
#define IDC_GESTURE_HOLD            3406
#define IDC_GESTURE_DM_COLOR        3407
#define IDC_GESTURE_PAN_COLOR       3408
#define IDC_GESTURE_SCROLL_COLOR    3409
#define IDC_GESTURE_SELECT_COLOR    3410
#define IDC_GESTURE_DSELECT_COLOR   3411
#define IDC_GESTURE_HOLD_COLOR      3412

#define IDC_WARNINGS_INITIAL        3501
#define IDC_WARNINGS_ID             3502
#define IDC_WARNINGS_CONTACTS       3503
#define IDC_WARNINGS_CONTACTS_MIN   3504
#define IDC_WARNINGS_CONTACTS_MAX   3505
#define IDC_WARNINGS_TEXT1          3506
#define IDC_WARNINGS_TEXT2          3507
#define IDC_WARNINGS_TEXT3          3508

#define IDC_RECPLAY_FILENAME        3601
#define IDB_RECPLAY_RECORD          3602
#define IDB_RECPLAY_PLAYBACK        3603

#endif  // RESOUCE_H
