//
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
// Use of this sample source code is subject to the terms of the Microsoft
// license agreement under which you licensed this sample source code. If
// you did not accept the terms of the license agreement, you are not
// authorized to use this sample source code. For the terms of the license,
// please see the license agreement between you and Microsoft or, if applicable,
// see the LICENSE.RTF on your install media or the root of your tools installation.
// THE SAMPLE SOURCE CODE IS PROVIDED "AS IS", WITH NO WARRANTIES OR INDEMNITIES.
//

#ifndef _UTCHID_H_
#define _UTCHID_H_

#include "hiddi.h"
#include "hidpi.h"
#include <windev.h>
#include "utc_ioctl.h"

#define CLASS_NAME_SZ           _T("UTC")
#define CLIENT_REGKEY_SZ        _T("Drivers\\HID\\ClientDrivers\\") CLASS_NAME_SZ


#define HID_UTC_SIG 'ctUH' // "HUtc"

// Hid Utc data structure.
typedef struct _HID_UTC {
    DWORD dwSig;			// signature for the comfirmation of this structure
    HID_HANDLE hDevice;	
    PCHID_FUNCS pHidFuncs;	// HID Functions
    PHIDP_PREPARSED_DATA phidpPreparsedData;	// HID Preparsed data - get from upper layer
    HIDP_CAPS hidpCaps;		// Capability of HID device - returned by HidP_GetCaps
    HANDLE hThread;			// thread handle
    HANDLE hOSDevice;		// return value of ActivateDevice
    HANDLE hevClosing;		// for cancelling get interrupt report

    HANDLE hMsgQueueWriter; // for Command Response
    HANDLE hMsgQueueReader; // for Command Response

    CRITICAL_SECTION csSingle;
    DWORD dwOpenCount;
#ifdef DEBUG
    BOOL fhThreadInited;
#endif
} HID_UTC, *PHID_UTC;

typedef struct _UTC_RESPONSE {
    PBYTE pBuffer;
    DWORD dwBytes;
} UTC_RESPONSE, *PUTC_RESPONSE;

#define VALID_HID_UTC( p ) \
   ( p && (HID_UTC_SIG == p->dwSig) )

#define UTCHID_MSG_QUEUE_NAME   L"UTCHID_MSG_QUEUE"
#define UTCHID_MSG_QUEUE_MAX    32

#define SETFNAME(name)          const TCHAR * const pszFname = (name)

#define ZONE_ERROR              DEBUGZONE(0)
#define ZONE_WARNING            DEBUGZONE(1)
#define ZONE_INIT               DEBUGZONE(2)
#define ZONE_FUNCTION           DEBUGZONE(3)

#define ZONE_USAGES             DEBUGZONE(4)

#endif

